from magic_hour import Client
from os import getenv
client = Client(token=getenv("MAGIC_HOUR_API_KEY"))
res = client.v1.ai_music_generator.create(
duration=120,
style={
"instrumental": False,
"lyrics": "City lights are fading...",
"prompt": "Dreamy synthwave with warm bass and soft vocals",
},
name="My Music Generator audio",
)
import { Client } from "magic-hour";
const client = new Client({ token: process.env["MAGIC_HOUR_API_KEY"] });
const res = await client.v1.aiMusicGenerator.create({
duration: 120,
name: "My Music Generator audio",
style: {
instrumental: false,
lyrics: "City lights are fading...",
prompt: "Dreamy synthwave with warm bass and soft vocals",
},
});
package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
ai_music_generator "github.com/magichourhq/magic-hour-go/resources/v1/ai_music_generator"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("MAGIC_HOUR_API_KEY")),
)
res, err := client.V1.AiMusicGenerator.Create(ai_music_generator.CreateRequest{
Duration: 120,
Name: nullable.NewValue("My Music Generator audio"),
Style: types.V1AiMusicGeneratorCreateBodyStyle{
Instrumental: nullable.NewValue(false),
Lyrics: nullable.NewValue("City lights are fading..."),
Prompt: "Dreamy synthwave with warm bass and soft vocals",
},
})
}
let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("MAGIC_HOUR_API_KEY").unwrap());
let res = client
.v1()
.ai_music_generator()
.create(magic_hour::resources::v1::ai_music_generator::CreateRequest {
duration: 120,
name: Some("My Music Generator audio".to_string()),
style: magic_hour::models::V1AiMusicGeneratorCreateBodyStyle {
instrumental: Some(false),
lyrics: Some("City lights are fading...".to_string()),
prompt: "Dreamy synthwave with warm bass and soft vocals".to_string(),
..Default::default()
},
..Default::default()
})
.await;
curl --request POST \
--url https://api.magichour.ai/v1/ai-music-generator \
--header 'accept: application/json' \
--header "authorization: Bearer $MAGIC_HOUR_API_KEY" \
--header 'content-type: application/json' \
--data '
{
"name": "My Music Generator audio",
"duration": 120,
"style": {
"prompt": "Dreamy synthwave with warm bass and soft vocals",
"instrumental": false,
"lyrics": "City lights are fading..."
}
}
'
Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/ for status and downloads.
POST
/
v1
/
ai-music-generator
Python
from magic_hour import Client
from os import getenv
client = Client(token=getenv("MAGIC_HOUR_API_KEY"))
res = client.v1.ai_music_generator.create(
duration=120,
style={
"instrumental": False,
"lyrics": "City lights are fading...",
"prompt": "Dreamy synthwave with warm bass and soft vocals",
},
name="My Music Generator audio",
)
import { Client } from "magic-hour";
const client = new Client({ token: process.env["MAGIC_HOUR_API_KEY"] });
const res = await client.v1.aiMusicGenerator.create({
duration: 120,
name: "My Music Generator audio",
style: {
instrumental: false,
lyrics: "City lights are fading...",
prompt: "Dreamy synthwave with warm bass and soft vocals",
},
});
package main
import (
os "os"
sdk "github.com/magichourhq/magic-hour-go/client"
nullable "github.com/magichourhq/magic-hour-go/nullable"
ai_music_generator "github.com/magichourhq/magic-hour-go/resources/v1/ai_music_generator"
types "github.com/magichourhq/magic-hour-go/types"
)
func main() {
client := sdk.NewClient(
sdk.WithBearerAuth(os.Getenv("MAGIC_HOUR_API_KEY")),
)
res, err := client.V1.AiMusicGenerator.Create(ai_music_generator.CreateRequest{
Duration: 120,
Name: nullable.NewValue("My Music Generator audio"),
Style: types.V1AiMusicGeneratorCreateBodyStyle{
Instrumental: nullable.NewValue(false),
Lyrics: nullable.NewValue("City lights are fading..."),
Prompt: "Dreamy synthwave with warm bass and soft vocals",
},
})
}
let client = magic_hour::Client::default()
.with_bearer_auth(&std::env::var("MAGIC_HOUR_API_KEY").unwrap());
let res = client
.v1()
.ai_music_generator()
.create(magic_hour::resources::v1::ai_music_generator::CreateRequest {
duration: 120,
name: Some("My Music Generator audio".to_string()),
style: magic_hour::models::V1AiMusicGeneratorCreateBodyStyle {
instrumental: Some(false),
lyrics: Some("City lights are fading...".to_string()),
prompt: "Dreamy synthwave with warm bass and soft vocals".to_string(),
..Default::default()
},
..Default::default()
})
.await;
curl --request POST \
--url https://api.magichour.ai/v1/ai-music-generator \
--header 'accept: application/json' \
--header "authorization: Bearer $MAGIC_HOUR_API_KEY" \
--header 'content-type: application/json' \
--data '
{
"name": "My Music Generator audio",
"duration": 120,
"style": {
"prompt": "Dreamy synthwave with warm bass and soft vocals",
"instrumental": false,
"lyrics": "City lights are fading..."
}
}
'
Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API key. To get your API key, go to Developer Hub and click "Create new API Key".
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Magic Hour API Docs","description":"Easily generate videos, images, and audio using Magic Hour's API. Follow our documentation to seamlessly integrate AI content creation into your applications.","colors":{"primary":"#3b82f6","light":"#0564ff","dark":"#3b82f6"},"logo":{"light":"https://mintcdn.com/magichour/5sgGJpuuipkw5s5v/icons/logo-light.svg?fit=max\u0026auto=format\u0026n=5sgGJpuuipkw5s5v\u0026q=85\u0026s=1f167e30baf11927bc2e0932411e455b","dark":"https://mintcdn.com/magichour/5sgGJpuuipkw5s5v/icons/logo-dark.svg?fit=max\u0026auto=format\u0026n=5sgGJpuuipkw5s5v\u0026q=85\u0026s=15c8bda28931ac4e1e2fab2c0ba6f0d5"},"favicon":"https://mintcdn.com/magichour/kbUwXh9ksnVyRSci/icons/favicon.png?fit=max\u0026auto=format\u0026n=kbUwXh9ksnVyRSci\u0026q=85\u0026s=c4fda903b24dd7067dadd1bb75508987","appearance":{"default":"dark","strict":false},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"mailto:support@magichour.ai","label":"Support"}],"primary":{"type":"button","label":"Get API key","href":"https://magichour.ai/developer?tab=api-keys\u0026ref=docs-navbar\u0026utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=navbar"}},"footer":{"socials":{"website":"https://magichour.ai/?utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=footer","x":"https://x.com/magichourai","github":"https://github.com/magichourhq","linkedin":"https://linkedin.com/company/magichour","instagram":"https://instagram.com/magichourai","youtube":"https://youtube.com/@magichourai"}},"seo":{"metatags":{"og:image":"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg","twitter:image":"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg"}},"integrations":{"ga4":{"measurementId":"G-CZ9Q9NBZB3"},"posthog":{"apiKey":"phc_EmzSy2RU0TOPhpouazMzxFedNdMyhze8HakyjffW2Wr","apiHost":"https://us.i.posthog.com"}},"contextual":{"options":["chatgpt","claude","perplexity","mcp","cursor","vscode","copy","view"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"API quickstart","icon":"forward-fast","href":"/get-started/quick-start"},{"anchor":"API pricing","icon":"credit-card","href":"/billing/overview"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/JX5rgsZaJp"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.magichour.ai"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"magichour","hasAudioNarration":false,"actualSubdomain":"magichour","customDomains":["docs.magichour.ai"],"gitSource":{"type":"github","owner":"magichourhq","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true,"issues":true,"edits":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6af2536979b24bbdec658892","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"default","tag":"Documentation","count":97},{"language":"default","tag":"Integration","count":56},{"language":"default","tag":"API Reference","count":46},{"language":"default","tag":"Tools","count":30},{"language":"default","tag":"Image Projects","count":16},{"language":"default","tag":"Video Projects","count":16},{"language":"default","tag":"Images","count":15},{"language":"default","tag":"Video","count":12},{"language":"default","tag":"Webhook Reference","count":10},{"language":"default","tag":"Get Started","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#sidebar,#table-of-contents-content{scrollbar-gutter:stable;scrollbar-width:thin;scrollbar-gutter:none;scrollbar-color:gray transparent}"}],"page":{"pagePath":"api-reference/audio-projects/ai-music-generator","slug":"/api-reference/audio-projects/ai-music-generator","pageMetadata":{"title":"AI Music Generator","description":"Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/{id} for status and downloads.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-music-generator","href":"/api-reference/audio-projects/ai-music-generator","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/\", \" for status and downloads.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"AI Music Generator","description":"Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/{id} for status and downloads.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-music-generator","href":"/api-reference/audio-projects/ai-music-generator","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/{id} for status and downloads.","summary":"AI Music Generator","tags":["Audio Projects"],"parameters":[],"operationId":"aiMusicGenerator.createAudio","requestBody":"9be1bdf4-c5da-49dd-ac86-12e9393c32d5","responses":{"200":"365cafe7-1db4-4eea-b379-eb6e45cc8b71","400":"579a2613-b72f-458c-9414-754a2d4d31f8","401":"97a863b6-8c68-45ad-8736-82f648e01342","402":"701cf709-a779-4066-9c3b-60d8b7257f96","404":"a7e1e36c-9b59-4213-a4d3-a3aacd9cf953","422":"aba57099-a621-43de-8885-455a8989bc26","500":"072070ee-7b44-4592-95db-71a0dbd010e6"},"security":["fa06e1b7-c63b-41ee-970f-ab702cd16a0c"],"x-codeSamples":[{"lang":"python","source":"from magic_hour import Client\nfrom os import getenv\n\nclient = Client(token=getenv(\"MAGIC_HOUR_API_KEY\"))\nres = client.v1.ai_music_generator.create(\n duration=120,\n style={\n \"instrumental\": False,\n \"lyrics\": \"City lights are fading...\",\n \"prompt\": \"Dreamy synthwave with warm bass and soft vocals\",\n },\n name=\"My Music Generator audio\",\n)"},{"lang":"javascript","source":"import { Client } from \"magic-hour\";\n\nconst client = new Client({ token: process.env[\"MAGIC_HOUR_API_KEY\"] });\nconst res = await client.v1.aiMusicGenerator.create({\n duration: 120,\n name: \"My Music Generator audio\",\n style: {\n instrumental: false,\n lyrics: \"City lights are fading...\",\n prompt: \"Dreamy synthwave with warm bass and soft vocals\",\n },\n});"},{"lang":"go","source":"package main\n\nimport (\n\tos \"os\"\n\n\tsdk \"github.com/magichourhq/magic-hour-go/client\"\n\tnullable \"github.com/magichourhq/magic-hour-go/nullable\"\n\tai_music_generator \"github.com/magichourhq/magic-hour-go/resources/v1/ai_music_generator\"\n\ttypes \"github.com/magichourhq/magic-hour-go/types\"\n)\n\nfunc main() {\n\tclient := sdk.NewClient(\n\t\tsdk.WithBearerAuth(os.Getenv(\"MAGIC_HOUR_API_KEY\")),\n\t)\n\tres, err := client.V1.AiMusicGenerator.Create(ai_music_generator.CreateRequest{\n\t\tDuration: 120,\n\t\tName: nullable.NewValue(\"My Music Generator audio\"),\n\t\tStyle: types.V1AiMusicGeneratorCreateBodyStyle{\n\t\t\tInstrumental: nullable.NewValue(false),\n\t\t\tLyrics: nullable.NewValue(\"City lights are fading...\"),\n\t\t\tPrompt: \"Dreamy synthwave with warm bass and soft vocals\",\n\t\t},\n\t})\n}"},{"lang":"rust","source":"let client = magic_hour::Client::default()\n .with_bearer_auth(\u0026std::env::var(\"MAGIC_HOUR_API_KEY\").unwrap());\nlet res = client\n .v1()\n .ai_music_generator()\n .create(magic_hour::resources::v1::ai_music_generator::CreateRequest {\n duration: 120,\n name: Some(\"My Music Generator audio\".to_string()),\n style: magic_hour::models::V1AiMusicGeneratorCreateBodyStyle {\n instrumental: Some(false),\n lyrics: Some(\"City lights are fading...\".to_string()),\n prompt: \"Dreamy synthwave with warm bass and soft vocals\".to_string(),\n ..Default::default()\n },\n ..Default::default()\n })\n .await;"},{"lang":"curl","source":"curl --request POST \\\n --url https://api.magichour.ai/v1/ai-music-generator \\\n --header 'accept: application/json' \\\n --header \"authorization: Bearer $MAGIC_HOUR_API_KEY\" \\\n --header 'content-type: application/json' \\\n --data '\n{\n \"name\": \"My Music Generator audio\",\n \"duration\": 120,\n \"style\": {\n \"prompt\": \"Dreamy synthwave with warm bass and soft vocals\",\n \"instrumental\": false,\n \"lyrics\": \"City lights are fading...\"\n }\n}\n'"},{"lang":"php","source":"\u003c?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, [\n CURLOPT_URL => \"https://api.magichour.ai/v1/ai-music-generator\",\n CURLOPT_RETURNTRANSFER => true,\n CURLOPT_ENCODING => \"\",\n CURLOPT_MAXREDIRS => 10,\n CURLOPT_TIMEOUT => 30,\n CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n CURLOPT_CUSTOMREQUEST => \"POST\",\n CURLOPT_POSTFIELDS => json_encode([\n 'name' => 'My Music Generator audio',\n 'duration' => 120,\n 'style' => [\n 'prompt' => 'Dreamy synthwave with warm bass and soft vocals',\n 'instrumental' => false,\n 'lyrics' => 'City lights are fading...'\n ]\n ]),\n CURLOPT_HTTPHEADER => [\n \"accept: application/json\",\n \"authorization: Bearer \u003ctoken>\",\n \"content-type: application/json\"\n ],\n]);\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n echo \"cURL Error #:\" . $err;\n} else {\n echo $response;\n}"},{"lang":"java","source":"HttpResponse\u003cString> response = Unirest.post(\"https://api.magichour.ai/v1/ai-music-generator\")\n .header(\"accept\", \"application/json\")\n .header(\"content-type\", \"application/json\")\n .header(\"authorization\", \"Bearer \u003ctoken>\")\n .body(\"{\\\"name\\\":\\\"My Music Generator audio\\\",\\\"duration\\\":120,\\\"style\\\":{\\\"prompt\\\":\\\"Dreamy synthwave with warm bass and soft vocals\\\",\\\"instrumental\\\":false,\\\"lyrics\\\":\\\"City lights are fading...\\\"}}\")\n .asString();"}],"method":"post","type":"path","servers":["e3433e6b-8b95-4774-ad47-7fcf66ea8099"],"path":"/v1/ai-music-generator","baseUrlOptions":["https://api.magichour.ai"],"title":"AI Music Generator","codeSamples":[{"lang":"python","source":"from magic_hour import Client\nfrom os import getenv\n\nclient = Client(token=getenv(\"MAGIC_HOUR_API_KEY\"))\nres = client.v1.ai_music_generator.create(\n duration=120,\n style={\n \"instrumental\": False,\n \"lyrics\": \"City lights are fading...\",\n \"prompt\": \"Dreamy synthwave with warm bass and soft vocals\",\n },\n name=\"My Music Generator audio\",\n)"},{"lang":"javascript","source":"import { Client } from \"magic-hour\";\n\nconst client = new Client({ token: process.env[\"MAGIC_HOUR_API_KEY\"] });\nconst res = await client.v1.aiMusicGenerator.create({\n duration: 120,\n name: \"My Music Generator audio\",\n style: {\n instrumental: false,\n lyrics: \"City lights are fading...\",\n prompt: \"Dreamy synthwave with warm bass and soft vocals\",\n },\n});"},{"lang":"go","source":"package main\n\nimport (\n\tos \"os\"\n\n\tsdk \"github.com/magichourhq/magic-hour-go/client\"\n\tnullable \"github.com/magichourhq/magic-hour-go/nullable\"\n\tai_music_generator \"github.com/magichourhq/magic-hour-go/resources/v1/ai_music_generator\"\n\ttypes \"github.com/magichourhq/magic-hour-go/types\"\n)\n\nfunc main() {\n\tclient := sdk.NewClient(\n\t\tsdk.WithBearerAuth(os.Getenv(\"MAGIC_HOUR_API_KEY\")),\n\t)\n\tres, err := client.V1.AiMusicGenerator.Create(ai_music_generator.CreateRequest{\n\t\tDuration: 120,\n\t\tName: nullable.NewValue(\"My Music Generator audio\"),\n\t\tStyle: types.V1AiMusicGeneratorCreateBodyStyle{\n\t\t\tInstrumental: nullable.NewValue(false),\n\t\t\tLyrics: nullable.NewValue(\"City lights are fading...\"),\n\t\t\tPrompt: \"Dreamy synthwave with warm bass and soft vocals\",\n\t\t},\n\t})\n}"},{"lang":"rust","source":"let client = magic_hour::Client::default()\n .with_bearer_auth(\u0026std::env::var(\"MAGIC_HOUR_API_KEY\").unwrap());\nlet res = client\n .v1()\n .ai_music_generator()\n .create(magic_hour::resources::v1::ai_music_generator::CreateRequest {\n duration: 120,\n name: Some(\"My Music Generator audio\".to_string()),\n style: magic_hour::models::V1AiMusicGeneratorCreateBodyStyle {\n instrumental: Some(false),\n lyrics: Some(\"City lights are fading...\".to_string()),\n prompt: \"Dreamy synthwave with warm bass and soft vocals\".to_string(),\n ..Default::default()\n },\n ..Default::default()\n })\n .await;"},{"lang":"curl","source":"curl --request POST \\\n --url https://api.magichour.ai/v1/ai-music-generator \\\n --header 'accept: application/json' \\\n --header \"authorization: Bearer $MAGIC_HOUR_API_KEY\" \\\n --header 'content-type: application/json' \\\n --data '\n{\n \"name\": \"My Music Generator audio\",\n \"duration\": 120,\n \"style\": {\n \"prompt\": \"Dreamy synthwave with warm bass and soft vocals\",\n \"instrumental\": false,\n \"lyrics\": \"City lights are fading...\"\n }\n}\n'"},{"lang":"php","source":"\u003c?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, [\n CURLOPT_URL => \"https://api.magichour.ai/v1/ai-music-generator\",\n CURLOPT_RETURNTRANSFER => true,\n CURLOPT_ENCODING => \"\",\n CURLOPT_MAXREDIRS => 10,\n CURLOPT_TIMEOUT => 30,\n CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n CURLOPT_CUSTOMREQUEST => \"POST\",\n CURLOPT_POSTFIELDS => json_encode([\n 'name' => 'My Music Generator audio',\n 'duration' => 120,\n 'style' => [\n 'prompt' => 'Dreamy synthwave with warm bass and soft vocals',\n 'instrumental' => false,\n 'lyrics' => 'City lights are fading...'\n ]\n ]),\n CURLOPT_HTTPHEADER => [\n \"accept: application/json\",\n \"authorization: Bearer \u003ctoken>\",\n \"content-type: application/json\"\n ],\n]);\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n echo \"cURL Error #:\" . $err;\n} else {\n echo $response;\n}"},{"lang":"java","source":"HttpResponse\u003cString> response = Unirest.post(\"https://api.magichour.ai/v1/ai-music-generator\")\n .header(\"accept\", \"application/json\")\n .header(\"content-type\", \"application/json\")\n .header(\"authorization\", \"Bearer \u003ctoken>\")\n .body(\"{\\\"name\\\":\\\"My Music Generator audio\\\",\\\"duration\\\":120,\\\"style\\\":{\\\"prompt\\\":\\\"Dreamy synthwave with warm bass and soft vocals\\\",\\\"instrumental\\\":false,\\\"lyrics\\\":\\\"City lights are fading...\\\"}}\")\n .asString();"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"description":"Body","content":{"application/json":{"schema":{"type":"object","properties":{"duration":{"type":"integer","minimum":15,"maximum":300,"description":"Requested track duration in seconds, from 15 to 300. Determines credits charged.","example":120,"isRequired":true,"uniqueKey":"duration","typeLabel":"integer"},"style":{"type":"object","properties":{"prompt":{"type":"string","minLength":1,"description":"Describe the song, including genre, mood, and instruments.","example":"Dreamy synthwave with warm bass and soft vocals","isRequired":true,"uniqueKey":"style.prompt","typeLabel":"string"},"instrumental":{"default":false,"type":"boolean","description":"Generate music without vocals. When true, lyrics is ignored.","example":false,"uniqueKey":"style.instrumental","typeLabel":"boolean"},"lyrics":{"type":"string","description":"Custom lyrics. Omit or leave blank for AI-generated lyrics when instrumental is false.","example":"City lights are fading...","uniqueKey":"style.lyrics","typeLabel":"string"}},"required":["prompt"],"additionalProperties":false,"isRequired":true,"uniqueKey":"style","typeLabel":"object"},"name":{"type":"string","description":"Give your audio a custom name for easy identification.","example":"My Music Generator audio","default":"AI Music Generator","uniqueKey":"name","typeLabel":"string"}},"required":["duration","style"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"duration":120,"style":{"prompt":"Dreamy synthwave with warm bass and soft vocals","instrumental":false,"lyrics":"City lights are fading..."},"name":"My Music Generator audio"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"365cafe7-1db4-4eea-b379-eb6e45cc8b71":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","example":"cuid-example","description":"Unique ID of the audio. Use it with the [Get audio Project API](https://docs.magichour.ai/api-reference/audio-projects/get-audio-details) to fetch status and downloads.","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"credits_charged":{"type":"integer","description":"The amount of credits deducted from your account to generate the audio. We charge credits right when the request is made. \n\nIf an error occurred while generating the audio, credits will be refunded and this field will be updated to include the refund.","example":120,"isRequired":true,"uniqueKey":"credits_charged","typeLabel":"integer"}},"required":["id","credits_charged"],"description":"Success","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"cuid-example","credits_charged":120}}},"exampleType":"generated"}},"exampleType":"generated"},"579a2613-b72f-458c-9414-754a2d4d31f8":{"description":"Invalid Request","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["invalid_request"],"description":"Machine-readable error code.\n\n- `invalid_request`: Fix request syntax or validation errors before retrying.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"invalid_request","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"97a863b6-8c68-45ad-8736-82f648e01342":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["unauthorized"],"description":"Machine-readable error code.\n\n- `unauthorized`: Provide a valid API key before retrying.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"unauthorized","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"701cf709-a779-4066-9c3b-60d8b7257f96":{"description":"Payment Required","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["insufficient_credits","subscription_required","plan_upgrade_required"],"description":"Machine-readable error code.\n\n- `insufficient_credits`: Purchase credits before retrying.\n\n- `subscription_required`: Start a subscription before retrying.\n\n- `plan_upgrade_required`: Upgrade the subscription plan before retrying.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"insufficient_credits","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"a7e1e36c-9b59-4213-a4d3-a3aacd9cf953":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["not_found"],"description":"Machine-readable error code.\n\n- `not_found`: Check the route or resource identifier.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"not_found","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"aba57099-a621-43de-8885-455a8989bc26":{"description":"422","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["unprocessable_entity"],"description":"Machine-readable error code.\n\n- `unprocessable_entity`: Change the request values before retrying.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"unprocessable_entity","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"072070ee-7b44-4592-95db-71a0dbd010e6":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["internal_server_error"],"description":"Machine-readable error code.\n\n- `internal_server_error`: Retry later or contact support if the error continues.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"internal_server_error","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"fa06e1b7-c63b-41ee-970f-ab702cd16a0c":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003capi_key>`, where `\u003capi_key>` is your API key. To get your API key, go to [Developer Hub](https://magichour.ai/developer?tab=api-keys\u0026utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=api-reference) and click \"Create new API Key\".","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"e3433e6b-8b95-4774-ad47-7fcf66ea8099":{"url":"https://api.magichour.ai"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003capi_key>`, where `\u003capi_key>` is your API key. To get your API key, go to [Developer Hub](https://magichour.ai/developer?tab=api-keys\u0026utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=api-reference) and click \"Create new API Key\".","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003capi_key>`, where `\u003capi_key>` is your API key. To get your API key, go to [Developer Hub](https://magichour.ai/developer?tab=api-keys\u0026utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=api-reference) and click \"Create new API Key\".","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"magichour","siteName":"Magic Hour API Docs","title":"AI Music Generator - Magic Hour API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-09T17:09:22.935Z","originalFileLocation":"api-reference/audio-projects/ai-music-generator.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/{id} for status and downloads.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Magic Hour API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"AI Music Generator - Magic Hour API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/{id} for status and downloads.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Magic Hour API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"AI Music Generator - Magic Hour API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/{id} for status and downloads.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Magic Hour API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3b82f6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/audio-projects/ai-music-generator.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.magichour.ai/#organization\",\"name\":\"Magic Hour API Docs\",\"url\":\"https://docs.magichour.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/magichour/5sgGJpuuipkw5s5v/icons/logo-light.svg?fit=max\u0026auto=format\u0026n=5sgGJpuuipkw5s5v\u0026q=85\u0026s=1f167e30baf11927bc2e0932411e455b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.magichour.ai#website\",\"name\":\"Magic Hour API Docs\",\"url\":\"https://docs.magichour.ai\",\"publisher\":{\"@id\":\"https://docs.magichour.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator#webpage\",\"url\":\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator\",\"name\":\"AI Music Generator\",\"description\":\"Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/{id} for status and downloads.\",\"dateModified\":\"2026-11-09T17:09:22.935Z\",\"isPartOf\":{\"@id\":\"https://docs.magichour.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Audio Projects\",\"item\":\"https://docs.magichour.ai/api-reference/audio-projects/list-voices\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"AI Music Generator\",\"item\":\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator#apireference\",\"headline\":\"AI Music Generator\",\"name\":\"AI Music Generator\",\"description\":\"Generate music from a description, with optional custom lyrics or instrumental-only output. Costs 1 credits per requested second. Returns a project ID; poll GET /v1/audio-projects/{id} for status and downloads.\",\"url\":\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator\",\"mainEntityOfPage\":{\"@id\":\"https://docs.magichour.ai/api-reference/audio-projects/ai-music-generator#webpage\"},\"image\":\"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg\",\"dateModified\":\"2026-11-09T17:09:22.935Z\",\"publisher\":{\"@id\":\"https://docs.magichour.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.magichour.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Magic Hour API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Magic Hour API Docs","nav":{"global":{"anchors":[{"anchor":"API quickstart","icon":"forward-fast","href":"/get-started/quick-start"},{"anchor":"API pricing","icon":"credit-card","href":"/billing/overview"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/JX5rgsZaJp"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.magichour.ai"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","pages":[{"title":"API Reference","href":"/api-reference/overview"},{"title":"Models and Credit Costs","sidebarTitle":"Models","href":"/api-reference/models"},{"title":"Historical API Processing Times","sidebarTitle":"Processing Times","href":"/api-reference/processing-times"},{"group":"Account","pages":[{"title":"Get account details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/account","href":"/api-reference/account/get-account-details"}]},{"group":"Files","pages":[{"title":"List saved items","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/saved-items","href":"/api-reference/files/list-saved-items"},{"title":"Generate asset upload urls","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/files/upload-urls","href":"/api-reference/files/generate-asset-upload-urls"},{"title":"Get face detection details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/face-detection/{id}","href":"/api-reference/files/get-face-detection-details"},{"title":"Face Detection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/face-detection","href":"/api-reference/files/face-detection"}]},{"group":"Video Projects","pages":[{"title":"Get video details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/video-projects/{id}","href":"/api-reference/video-projects/get-video-details"},{"title":"Delete video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/video-projects/{id}","href":"/api-reference/video-projects/delete-video"},{"title":"AI Talking Photo","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-talking-photo","href":"/api-reference/video-projects/ai-talking-photo"},{"title":"AI UGC Ad Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-ugc-ad","href":"/api-reference/video-projects/ai-ugc-ad-generator"},{"title":"AI Video Editor","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-video-editor","href":"/api-reference/video-projects/ai-video-editor"},{"title":"AI Video Translator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-video-translator","href":"/api-reference/video-projects/ai-video-translator"},{"title":"AI Video Upscaler","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-video-upscaler","href":"/api-reference/video-projects/ai-video-upscaler"},{"title":"Animation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/animation","href":"/api-reference/video-projects/animation"},{"title":"Audio-to-Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/audio-to-video","href":"/api-reference/video-projects/audio-to-video"},{"title":"Auto Subtitle Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/auto-subtitle-generator","href":"/api-reference/video-projects/auto-subtitle-generator"},{"title":"Character Replace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/character-replace","href":"/api-reference/video-projects/character-replace"},{"title":"Face Swap Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/face-swap","href":"/api-reference/video-projects/face-swap-video"},{"title":"Image-to-Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/image-to-video","href":"/api-reference/video-projects/image-to-video"},{"title":"Lip Sync","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lip-sync","href":"/api-reference/video-projects/lip-sync"},{"title":"Text-to-Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/text-to-video","href":"/api-reference/video-projects/text-to-video"},{"title":"Video-to-Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/video-to-video","href":"/api-reference/video-projects/video-to-video"}]},{"group":"Image Projects","pages":[{"title":"Get image details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/image-projects/{id}","href":"/api-reference/image-projects/get-image-details"},{"title":"Delete image","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/image-projects/{id}","href":"/api-reference/image-projects/delete-image"},{"title":"AI Clothes Changer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-clothes-changer","href":"/api-reference/image-projects/ai-clothes-changer"},{"title":"AI Face Editor","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-face-editor","href":"/api-reference/image-projects/ai-face-editor"},{"title":"AI GIF Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-gif-generator","href":"/api-reference/image-projects/ai-gif-generator"},{"title":"AI Image Editor","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-image-editor","href":"/api-reference/image-projects/ai-image-editor"},{"title":"AI Headshot Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-headshot-generator","href":"/api-reference/image-projects/ai-headshot-generator"},{"title":"AI Image Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-image-generator","href":"/api-reference/image-projects/ai-image-generator"},{"title":"AI Image Upscaler","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-image-upscaler","href":"/api-reference/image-projects/ai-image-upscaler"},{"title":"AI Meme Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-meme-generator","href":"/api-reference/image-projects/ai-meme-generator"},{"title":"AI QR Code Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-qr-code-generator","href":"/api-reference/image-projects/ai-qr-code-generator"},{"title":"Body Swap","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/body-swap","href":"/api-reference/image-projects/body-swap"},{"title":"Face Swap Photo","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/face-swap-photo","href":"/api-reference/image-projects/face-swap-photo"},{"title":"Head Swap","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/head-swap","href":"/api-reference/image-projects/head-swap"},{"title":"Image Background Remover","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/image-background-remover","href":"/api-reference/image-projects/image-background-remover"},{"title":"Photo Colorizer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/photo-colorizer","href":"/api-reference/image-projects/photo-colorizer"}]},{"group":"Audio Projects","pages":[{"title":"List voices","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/voices","href":"/api-reference/audio-projects/list-voices"},{"title":"Get audio details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/audio-projects/{id}","href":"/api-reference/audio-projects/get-audio-details"},{"title":"Delete audio","description":"Permanently delete the rendered audio file(s). This action is not reversible, please be sure before deleting.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/audio-projects/{id}","href":"/api-reference/audio-projects/delete-audio"},{"title":"AI Music Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-music-generator","href":"/api-reference/audio-projects/ai-music-generator"},{"title":"AI Voice Generator","description":"Generate speech from text. Each character costs 0.1 credits. The cost is rounded up to the nearest whole number.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-voice-generator","href":"/api-reference/audio-projects/ai-voice-generator"},{"title":"AI Voice Cloner","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-voice-cloner","href":"/api-reference/audio-projects/ai-voice-cloner"}]}],"groups":[{"group":"Account","pages":[{"title":"Get account details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/account","href":"/api-reference/account/get-account-details"}]},{"group":"Files","pages":[{"title":"List saved items","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/saved-items","href":"/api-reference/files/list-saved-items"},{"title":"Generate asset upload urls","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/files/upload-urls","href":"/api-reference/files/generate-asset-upload-urls"},{"title":"Get face detection details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/face-detection/{id}","href":"/api-reference/files/get-face-detection-details"},{"title":"Face Detection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/face-detection","href":"/api-reference/files/face-detection"}]},{"group":"Audio Projects","pages":[{"title":"List voices","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/voices","href":"/api-reference/audio-projects/list-voices"},{"title":"Get audio details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/audio-projects/{id}","href":"/api-reference/audio-projects/get-audio-details"},{"title":"Delete audio","description":"Permanently delete the rendered audio file(s). This action is not reversible, please be sure before deleting.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/audio-projects/{id}","href":"/api-reference/audio-projects/delete-audio"},{"title":"AI Music Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-music-generator","href":"/api-reference/audio-projects/ai-music-generator"},{"title":"AI Voice Cloner","description":"Clone a voice from an audio sample and generate speech. \n* Each character costs 0.1 credits. \n* The cost is rounded up to the nearest whole number","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-voice-cloner","href":"/api-reference/audio-projects/ai-voice-cloner"},{"title":"AI Voice Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-voice-generator","href":"/api-reference/audio-projects/ai-voice-generator"}]},{"group":"Video Projects","pages":[{"title":"Get video details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/video-projects/{id}","href":"/api-reference/video-projects/get-video-details"},{"title":"Delete video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/video-projects/{id}","href":"/api-reference/video-projects/delete-video"},{"title":"AI Talking Photo","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-talking-photo","href":"/api-reference/video-projects/ai-talking-photo"},{"title":"AI UGC Ad Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-ugc-ad","href":"/api-reference/video-projects/ai-ugc-ad-generator"},{"title":"AI Video Editor","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-video-editor","href":"/api-reference/video-projects/ai-video-editor"},{"title":"AI Video Translator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-video-translator","href":"/api-reference/video-projects/ai-video-translator"},{"title":"AI Video Upscaler","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-video-upscaler","href":"/api-reference/video-projects/ai-video-upscaler"},{"title":"Animation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/animation","href":"/api-reference/video-projects/animation"},{"title":"Audio-to-Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/audio-to-video","href":"/api-reference/video-projects/audio-to-video"},{"title":"Auto Subtitle Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/auto-subtitle-generator","href":"/api-reference/video-projects/auto-subtitle-generator"},{"title":"Character Replace","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/character-replace","href":"/api-reference/video-projects/character-replace"},{"title":"Face Swap Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/face-swap","href":"/api-reference/video-projects/face-swap-video"},{"title":"Image-to-Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/image-to-video","href":"/api-reference/video-projects/image-to-video"},{"title":"Lip Sync","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/lip-sync","href":"/api-reference/video-projects/lip-sync"},{"title":"Text-to-Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/text-to-video","href":"/api-reference/video-projects/text-to-video"},{"title":"Video-to-Video","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/video-to-video","href":"/api-reference/video-projects/video-to-video"}]},{"group":"Image Projects","pages":[{"title":"Get image details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json get /v1/image-projects/{id}","href":"/api-reference/image-projects/get-image-details"},{"title":"Delete image","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json delete /v1/image-projects/{id}","href":"/api-reference/image-projects/delete-image"},{"title":"AI Clothes Changer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-clothes-changer","href":"/api-reference/image-projects/ai-clothes-changer"},{"title":"AI Face Editor","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-face-editor","href":"/api-reference/image-projects/ai-face-editor"},{"title":"AI GIF Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-gif-generator","href":"/api-reference/image-projects/ai-gif-generator"},{"title":"AI Image Editor","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-image-editor","href":"/api-reference/image-projects/ai-image-editor"},{"title":"AI Headshot Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-headshot-generator","href":"/api-reference/image-projects/ai-headshot-generator"},{"title":"AI Image Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-image-generator","href":"/api-reference/image-projects/ai-image-generator"},{"title":"AI Image Upscaler","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-image-upscaler","href":"/api-reference/image-projects/ai-image-upscaler"},{"title":"AI Meme Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-meme-generator","href":"/api-reference/image-projects/ai-meme-generator"},{"title":"AI QR Code Generator","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/ai-qr-code-generator","href":"/api-reference/image-projects/ai-qr-code-generator"},{"title":"Body Swap","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/body-swap","href":"/api-reference/image-projects/body-swap"},{"title":"Face Swap Photo","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/face-swap-photo","href":"/api-reference/image-projects/face-swap-photo"},{"title":"Head Swap","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/head-swap","href":"/api-reference/image-projects/head-swap"},{"title":"Image Background Remover","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/image-background-remover","href":"/api-reference/image-projects/image-background-remover"},{"title":"Photo Colorizer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /v1/photo-colorizer","href":"/api-reference/image-projects/photo-colorizer"}]}]},{"tab":"Webhook Reference","pages":[{"title":"Webhook Reference","href":"/webhook-reference/overview"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog"}]}]},"basePath":"","title":"AI Music Generator - Magic Hour API Docs","buildId":"dpl_42LwxxU1kGN114H4XzwGYXa9ZDah","deploymentId":"dpl_42LwxxU1kGN114H4XzwGYXa9ZDah","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C-hEh3I2.js","utils-CnF4QiUD.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-C7PVNbel.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-8ytevL2A.js","snippetPresets-BT1alx3v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BLXC0i_W.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CyLIGI9_.js","shallow-DC0lGVIW.js","getApiPlaygroundDisplay-CgDQ85tN.js","CodeSnippet-6-I-Gpv9.js","CodeSnippets-BAk1kDdu.js","Page-C945cI-W.js","getPastedJson-B276RuWN.js","icon-BqP8etTm.js","MethodPill-DM6sbxG1.js","DuplicateIcon-PyJglOaE.js","createIcon-CMeOMAc_.js","DynamicMarkdown-BoyYAA8K.js","SectionHeading-DAYv3gvZ.js","axios-vUo_bRtp.js","Markdown-BhTTmazV.js","clsx-CR-RHrVC.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CBUH0-zX.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BmARFYNC.js"]}